/* -*- Mode: C++ -*- */

/*
    libscoach: Soccer Coach library for use with the SoccerServer system 

    Copyright (C) 2001  Patrick Riley, Paul Carpenter, Gal Kaminka, Manuela Veloso
    Copyright (C) 1999,2000 Patrick Riley, Peter Stone, Manuela Veloso

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#include "stdio.h"
#include "LogAction.h"

/******************************* LogAction *************************************/

#ifndef NO_ACTION_LOG

void LogAction2(int level, const char* str)
{
  LogAction_worker(level, str);
}

void LogAction3(int level, const char* str, const char* param)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, param);
  LogAction_worker(level, outstring);
}

void LogAction3(int level, const char* str, char c1)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, c1);
  LogAction_worker(level, outstring);
}

void LogAction3(int level, const char* str, float f1)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, f1);
  LogAction_worker(level, outstring);
}

void LogAction3(int level, const char* str, int d1)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, d1);
  LogAction_worker(level, outstring);
}

void LogAction4(int level, const char* str, const char* param1, const char* param2)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, param1, param2);
  LogAction_worker(level, outstring);
}

void LogAction4(int level, const char* str, const char* s1, const int d1)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, s1, d1);
  LogAction_worker(level, outstring);
}

void LogAction4(int level, const char* str, float f1, int d1)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, f1, d1);
  LogAction_worker(level, outstring);
}

void LogAction4(int level, const char* str, float f1, float f2)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, f1, f2);
  LogAction_worker(level, outstring);
}

void LogAction4(int level, const char* str, int d1, int d2)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, d1, d2);
  LogAction_worker(level, outstring);
}

void LogAction4(int level, const char* str, int d1, float f1)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, d1, f1);
  LogAction_worker(level, outstring);
}

void LogAction4(int level, const char* str, int d1, const char* s1)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, d1, s1);
  LogAction_worker(level, outstring);
}

void LogAction4(int level, const char* str, void* p1, void* p2)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, p1, p2);
  LogAction_worker(level, outstring);
}

void LogAction5(int level, const char* str, const char* s, int d1, int d2)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, s, d1, d2);
  LogAction_worker(level, outstring);
}

void LogAction5(int level, const char* str, void* p1, void* p2, void* p3)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, p1, p2, p3);
  LogAction_worker(level, outstring);
}

void LogAction5(int level, const char* str, int d1, const char* s1, int d2)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, d1, s1, d2);
  LogAction_worker(level, outstring);
}

void LogAction5(int level, const char* str, int d1, const char* s1, float f1)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, d1, s1, f1);
  LogAction_worker(level, outstring);
}

void LogAction5(int level, const char* str, int d1, const char* s1, const char* s2)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, d1, s1, s2);
  LogAction_worker(level, outstring);
}

void LogAction5(int level, const char* str, int d1, int d2, int d3)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, d1, d2, d3);
  LogAction_worker(level, outstring);
}

void LogAction5(int level, const char* str, int d1, int d2, float f1)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, d1, d2, f1);
  LogAction_worker(level, outstring);
}

void LogAction5(int level, const char* str, int d1, float f1, float f2)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, d1, f1, f2);
  LogAction_worker(level, outstring);
}

void LogAction5(int level, const char* str, float f1, float f2, float f3)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, f1, f2, f3);
  LogAction_worker(level, outstring);
}

void LogAction5(int level, const char* str, float f1, float f2, int d1)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, f1, f2, d1);
  LogAction_worker(level, outstring);
}

void LogAction5(int level, const char* str, float f1, int d1, int d2)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, f1, d1, d2);
  LogAction_worker(level, outstring);
}

void LogAction6(int level, const char* str, float f1, float f2, float f3, float f4)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, f1, f2, f3, f4);
  LogAction_worker(level, outstring);
}

void LogAction6(int level, const char* str, int d1, float f1, float f2, float f3)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, d1, f1, f2, f3);
  LogAction_worker(level, outstring);
}

void LogAction6(int level, const char* str, int d1, int d2, float f1, float f2)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, d1, d2, f1, f2);
  LogAction_worker(level, outstring);
}

void LogAction6(int level, const char* str, int d1, int d2, int d3, float f1)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, d1, d2, d3, f1);
  LogAction_worker(level, outstring);
}

void LogAction6(int level, const char* str, int d1, int d2, int d3, int d4)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, d1, d2, d3, d4);
  LogAction_worker(level, outstring);
}

void LogAction6(int level, const char* str, float f1, int d1, int d2, int d3)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, f1, d1, d2, d3);
  LogAction_worker(level, outstring);
}

void LogAction6(int level, const char* str, float f1, float f2, int d1, int d2)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, f1, f2, d1, d2);
  LogAction_worker(level, outstring);
}

void LogAction6(int level, const char* str, float f1, float f2, float f3, int d1)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, f1, f2, f3, d1);
  LogAction_worker(level, outstring);
}

void LogAction6(int level, const char* str, int d1, const char* s1, int d2, int d3)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, d1, s1, d2, d3);
  LogAction_worker(level, outstring);
}

void LogAction7(int level, const char* str, float f1, float f2, float f3, float f4, float f5)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, f1, f2, f3, f4, f5);
  LogAction_worker(level, outstring);
}

void LogAction7(int level, const char* str, int d1, float f1, float f2, float f3, float f4)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, d1, f1, f2, f3, f4);
  LogAction_worker(level, outstring);
}

void LogAction7(int level, const char* str, int d1, int d2, float f1, float f2, float f3)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, d1, d2, f1, f2, f3);
  LogAction_worker(level, outstring);
}

void LogAction7(int level, const char* str, int d1, int d2, int d3, float f1, float f2)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, d1, d2, d3, f1, f2);
  LogAction_worker(level, outstring);
}

void LogAction7(int level, const char* str, int d1, int d2, int d3, int d4, float f1)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, d1, d2, d3, d4, f1);
  LogAction_worker(level, outstring);
}

void LogAction7(int level, const char* str, int d1, int d2, int d3, int d4, int d5)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, d1, d2, d3, d4, d5);
  LogAction_worker(level, outstring);
}

void LogAction8(int level, const char* str, float f1, float f2, float f3, float f4, float f5, float f6)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, f1, f2, f3, f4, f5, f6);
  LogAction_worker(level, outstring);
}

void LogAction8(int level, const char* str, int d1, float f1, float f2, float f3, float f4, float f5)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, d1, f1, f2, f3, f4, f5);
  LogAction_worker(level, outstring);
}

void LogAction8(int level, const char* str, int d1, int d2, float f1, float f2, float f3, float f4)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, d1, d2, f1, f2, f3, f4);
  LogAction_worker(level, outstring);
}

void LogAction8(int level, const char* str, int d1, int d2, int d3, float f1, float f2, float f3)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, d1, d2, d3, f1, f2, f3);
  LogAction_worker(level, outstring);
}

void LogAction8(int level, const char* str, int d1, int d2, int d3, int d4, float f1, float f2)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, d1, d2, d3, d4, f1, f2);
  LogAction_worker(level, outstring);
}

void LogAction8(int level, const char* str, int d1, int d2, int d3, int d4, int d5, float f1)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, d1, d2, d3, d4, d5, f1);
  LogAction_worker(level, outstring);
}

void LogAction8(int level, const char* str, int d1, int d2, int d3, int d4, int d5, int d6)
{
  char outstring[MAX_LOG_LINE];
  sprintf(outstring, str, d1, d2, d3, d4, d5, d6);
  LogAction_worker(level, outstring);
}

#endif //NO_ACTION_LOG
