/* -*- Mode: C++ -*- */

/*
    libscoach: Soccer Coach library for use with the SoccerServer system 

    Copyright (C) 2001  Patrick Riley, Paul Carpenter, Gal Kaminka, Manuela Veloso
    Copyright (C) 2000 Patrick Riley, Peter Stone, Manuela Veloso

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef _LOG_ACTION_H_
#define _LOG_ACTION_H_

//this has to be defined in the clients 
extern bool LogAction_worker(int level, const char* str);

const int MAX_LOG_LINE=300;
  /* You can specify a flag at compile time so that all the LogAction calls
     disappear */
  /* The # at the end of the function name is the total # of args */

#ifdef NO_ACTION_LOG
  inline void nothing_func(void) {}
#define LogAction1(x1) nothing_func()	
#define LogAction2(x1,x2) nothing_func()	
#define LogAction3(x1,x2,x3) nothing_func()	
#define LogAction4(x1,x2,x3,x4) nothing_func()	
#define LogAction5(x1,x2,x3,x4,x5) nothing_func()	
#define LogAction6(x1,x2,x3,x4,x5,x6) nothing_func()	
#define LogAction7(x1,x2,x3,x4,x5,x6,x7) nothing_func()	
#define LogAction8(x1,x2,x3,x4,x5,x6,x7,x8) nothing_func()	
#define LogAction9(x1,x2,x3,x4,x5,x6,x7,x8,x9) nothing_func()	
#define LogAction10(x1,x2,x3,x4,x5,x6,x7,x8,x9,x10) nothing_func()	
#else	
  void LogAction2(int level, const char* str); /* will be timestamped automatically */

  void LogAction3(int level, const char* str, const char* param);
  void LogAction3(int level, const char* str, char c1);
  void LogAction3(int level, const char* str, float f1);
  void LogAction3(int level, const char* str, int d1);

  void LogAction4(int level, const char* str, const char* param1, const char* param2);
  void LogAction4(int level, const char* str, const char* s1, const int d1);
  void LogAction4(int level, const char* str, float f1, int d1);
  void LogAction4(int level, const char* str, float f1, float f2);
  void LogAction4(int level, const char* str, int d1, int d2);
  void LogAction4(int level, const char* str, int d1, float f1);
  void LogAction4(int level, const char* str, int d1, const char* s1);
  void LogAction4(int level, const char* str, void* p1, void* p2);

  void LogAction5(int level, const char* str, const char* s, int d1, int d2);
  void LogAction5(int level, const char* str, float f1, float f2, float f3);
  void LogAction5(int level, const char* str, int d1, float f1, float f2);
  void LogAction5(int level, const char* str, int d1, int d2, float f1);
  void LogAction5(int level, const char* str, int d1, int d2, int d3);
  void LogAction5(int level, const char* str, float f1, int d1, int d2);
  void LogAction5(int level, const char* str, float f1, float f2, int d1);
  void LogAction5(int level, const char* str, void* p1, void* p2, void* p3);
  void LogAction5(int level, const char* str, int d1, const char* s1, int d2);
  void LogAction5(int level, const char* str, int d1, const char* s1, float f1);
  void LogAction5(int level, const char* str, int d1, const char* s1, const char* s2);

  void LogAction6(int level, const char* str, float f1, float f2, float f3, float f4);
  void LogAction6(int level, const char* str, int d1, float f1, float f2, float f3);
  void LogAction6(int level, const char* str, int d1, int d2, float f1, float f2);
  void LogAction6(int level, const char* str, int d1, int d2, int d3, float f1);
  void LogAction6(int level, const char* str, int d1, int d2, int d3, int d4);
  void LogAction6(int level, const char* str, float f1, int d1, int d2, int d3);
  void LogAction6(int level, const char* str, float f1, float f2, int d1, int d2);
  void LogAction6(int level, const char* str, float f1, float f2, float f3, int d1);
  void LogAction6(int level, const char* str, int d1, const char* s1, int d2, int d3);

  void LogAction7(int level, const char* str, float f1, float f2, float f3, float f4, float f5);
  void LogAction7(int level, const char* str, int d1, float f1, float f2, float f3, float f4);
  void LogAction7(int level, const char* str, int d1, int d2, float f1, float f2, float f3);
  void LogAction7(int level, const char* str, int d1, int d2, int d3, float f1, float f2);
  void LogAction7(int level, const char* str, int d1, int d2, int d3, int d4, float f1);
  void LogAction7(int level, const char* str, int d1, int d2, int d3, int d4, int d5);

  void LogAction8(int level, const char* str, float f1, float f2, float f3, float f4, float f5, float f6);
  void LogAction8(int level, const char* str, int d1, float f1, float f2, float f3, float f4, float f5);
  void LogAction8(int level, const char* str, int d1, int d2, float f1, float f2, float f3, float f4);
  void LogAction8(int level, const char* str, int d1, int d2, int d3, float f1, float f2, float f3);
  void LogAction8(int level, const char* str, int d1, int d2, int d3, int d4, float f1, float f2);
  void LogAction8(int level, const char* str, int d1, int d2, int d3, int d4, int d5, float f1);
  void LogAction8(int level, const char* str, int d1, int d2, int d3, int d4, int d5, int d6);

#endif	 //NO_ACTION_LOG


#endif //LOG_ACTION
